#
# spec file for package ksupp (Version 1.1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libpng libungif qtcompat qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libpng libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ksupp
Copyright:    1997,98 The KDE-Team
Group:        X11/KDE/Base
Provides:     kdesupport
Autoreqprov:  on
Summary:      KDE base package (support)
Version:      1.1.2
Release:      375
Source0:      kdesupport-1.1.2.tar.bz2
Patch0: kdesupport-1.1.2.dif

%description
This package contains kdesupport, one of the basic packages of the K
Desktop Environment. It contains necessary libraries for managing
graphics, mail and html processing.
This package is absolutely necessary for using KDE!

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: kde

%prep
%setup -n kdesupport-1.1.2
%patch -P 0 -E

%build
(cd admin
%{?suse_update_config:%{suse_update_config -f}})
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 -fno-operator-names " ./configure \
  --prefix=/opt/kde \
  --with-libjpeg=no \
  --with-libgif=no \
  --with-libgdbm=no \
  
make

%install
make install
install -d -m 755 %{_defaultdocdir}/ksupp
install -m 644 ./AUTHORS %{_defaultdocdir}/ksupp
install -m 644 ./COPYING %{_defaultdocdir}/ksupp
install -m 644 ./ChangeLog %{_defaultdocdir}/ksupp
install -m 644 ./INSTALL %{_defaultdocdir}/ksupp
install -m 644 ./NEWS %{_defaultdocdir}/ksupp
install -m 644 ./README %{_defaultdocdir}/ksupp

%files
%docdir /usr/doc
%docdir /usr/man
%dir /opt/kde
%dir /opt/kde/include
%dir /opt/kde/include/mimelib
%dir /opt/kde/lib
%dir %{_defaultdocdir}/ksupp
/opt/kde/include/Pix.h
/opt/kde/include/QwCluster.h
/opt/kde/include/QwPublicList.h
/opt/kde/include/QwSpriteField.h
/opt/kde/include/fptools.h
/opt/kde/include/js.h
/opt/kde/include/jsint.h
/opt/kde/include/mimelib/address.h
/opt/kde/include/mimelib/addrlist.h
/opt/kde/include/mimelib/binhex.h
/opt/kde/include/mimelib/body.h
/opt/kde/include/mimelib/bodypart.h
/opt/kde/include/mimelib/boyermor.h
/opt/kde/include/mimelib/config.h
/opt/kde/include/mimelib/datetime.h
/opt/kde/include/mimelib/debug.h
/opt/kde/include/mimelib/disptype.h
/opt/kde/include/mimelib/entity.h
/opt/kde/include/mimelib/enum.h
/opt/kde/include/mimelib/field.h
/opt/kde/include/mimelib/fieldbdy.h
/opt/kde/include/mimelib/group.h
/opt/kde/include/mimelib/headers.h
/opt/kde/include/mimelib/mailbox.h
/opt/kde/include/mimelib/mboxlist.h
/opt/kde/include/mimelib/mechansm.h
/opt/kde/include/mimelib/mediatyp.h
/opt/kde/include/mimelib/message.h
/opt/kde/include/mimelib/mimepp.h
/opt/kde/include/mimelib/msgcmp.h
/opt/kde/include/mimelib/msgid.h
/opt/kde/include/mimelib/nntp.h
/opt/kde/include/mimelib/param.h
/opt/kde/include/mimelib/pop.h
/opt/kde/include/mimelib/protocol.h
/opt/kde/include/mimelib/smtp.h
/opt/kde/include/mimelib/string.h
/opt/kde/include/mimelib/text.h
/opt/kde/include/mimelib/token.h
/opt/kde/include/mimelib/utility.h
/opt/kde/include/mimelib/uuencode.h
/opt/kde/include/uudeview.h
/opt/kde/include/uuint.h
/opt/kde/include/uustring.h
/opt/kde/lib/libQwSpriteField.a
/opt/kde/lib/libQwSpriteField.la
/opt/kde/lib/libQwSpriteField.so
/opt/kde/lib/libQwSpriteField.so.1
/opt/kde/lib/libQwSpriteField.so.1.5.0
/opt/kde/lib/libjs.a
/opt/kde/lib/libjs.la
/opt/kde/lib/libjs.so
/opt/kde/lib/libjs.so.0
/opt/kde/lib/libjs.so.0.2.0
/opt/kde/lib/libmimelib.a
/opt/kde/lib/libmimelib.la
/opt/kde/lib/libmimelib.so
/opt/kde/lib/libmimelib.so.1
/opt/kde/lib/libmimelib.so.1.0.0
/opt/kde/lib/libuulib.a
/opt/kde/lib/libuulib.la
/opt/kde/lib/libuulib.so
/opt/kde/lib/libuulib.so.5
/opt/kde/lib/libuulib.so.5.0.13
%{_defaultdocdir}/ksupp/AUTHORS
%{_defaultdocdir}/ksupp/COPYING
%{_defaultdocdir}/ksupp/ChangeLog
%{_defaultdocdir}/ksupp/INSTALL
%{_defaultdocdir}/ksupp/NEWS
%{_defaultdocdir}/ksupp/README

%changelog -n ksupp
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed Jan 31 2001 - schwab@suse.de
- Build with -fno-operator-names.
* Thu Jan 18 2001 - grimmer@suse.de
- Changed Group tag to X11/KDE/Base
* Thu May 04 2000 - adrian@suse.de
- docs installed to {_defaultdocdir}
* Sun Apr 02 2000 - bk@suse.de
-  added config.{sub,guess} update macro for s390
* Wed Sep 15 1999 - @suse.de
- New version 1.1.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 06 1999 - kettner@suse.de
- Spec file created from kdesupport-1.1.1.tar.gz by autospec
* Thu May 06 1999 - kettner@suse.de
- New version 1.1.1
* Thu May 06 1999 - kettner@suse.de
- Spec file created from kdesupport-1.1.1.tar.gz by autospec
* Tue May 04 1999 - kettner@suse.de
- New version 1.1.1
* Sun Feb 28 1999 - ro@suse.de
- changed AM_PROG_INSTALL to AC_PROG_INSTALL for automake-1.4
* Tue Feb 09 1999 - kettner@suse.de
- Newest Version KDE 1.1
* Wed Jan 27 1999 - kettner@suse.de
- Got new source archive 1.1pre2, rebuilt %%files
- compile with -DNDEBUG
- New install_docs() in build_aliases, installs all meta docs
* Wed Nov 25 1998 - kettner@suse.de
- variables.sh: renamed to buildaliases.sh
- buildaliases.sh: will be installed into /usr/doc/packages/kde/
* Tue Sep 22 1998 - ro@suse.de
- variables.sh: check if qt resides in /usr/lib/qt or /usr/X11R6/lib/qt
* Thu Sep 17 1998 - ro@suse.de
- don't use pedantic-errors when checking for gethostname
* Tue Sep 01 1998 - maddin@suse.de
- variables.sh replaced by version for alpha packages
- variables.sh now resident in /usr/src/packages/kde
* Mon Jul 27 1998 - maddin@suse.de
- libgif, libjpeg and gdbm are not included in this package anymore
- fixed dependecies for klibs respectively
* Sun Jul 12 1998 - ms@suse.de
- first SuSE version kdesupport 1.0
* Tue Jul 07 1998 - ms@suse.de
- first SuSE version kdesupport ( Version pre 2 )
* Mon Jun 29 1998 - ms@suse.de
- first SuSE version kdesupport ( Version pre 1 )
- fixed spec file
* Tue Jun 02 1998 - ms@suse.de
- latest snapshot kdesupport ( Ver: 4-1 )
* Thu Apr 23 1998 - ms@suse.de
- first S.u.S.E. version kde beta 4 ( kdesupport )
* Mon Apr 06 1998 - ms@suse.de
- latest snapshot from ksup
* Sat Feb 14 1998 - ms@suse.de
- first test version of Beta III
* Tue Nov 04 1997 - maddin@suse.de
- first S.u.S.E. Version beta1
- adaption of original spec file
- including compile time documentation
